All Classes Namespaces Functions Variables Groups Pages
DatasourceProvider Namespace Reference

the DatasourceProvider namespace contains all the objects in the DatasourceProvider module More...

## Functions

string | get_ds_string (string str, *bool verbose)
| returns a datasource connection string More...

## Detailed Description

the DatasourceProvider namespace contains all the objects in the DatasourceProvider module

## Function Documentation

string DatasourceProvider::get_ds_string | ( | string | str,
|  | *bool | verbose
| ) |  |

returns a datasource connection string

Example:
  string connstr = get_ds_string(str);

Parameters

  str | the identifier or datasource connection string
  verbose | display datasource provider module errors on stdout (otherwise errors are ignored)

Returns
  the datasource connection string

Exceptions

  DATASOURCE-ERROR | the connection string cannot be matched as an external datasource identifier by a datasource provider module and there is no driver specification in the string (ex: `"driver:..."`)

Note
  - datasource provider modules are processed in the order they are declared with the `QORE_DATASOURCE_PROVIDERS` environment variable; datasource provider modules must be separated with PathSep characters
  - no database connection is attempted with this function call

See Also
  Datasource Provider Modules